> For the complete documentation index, see [llms.txt](https://docs.miniton.games/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.miniton.games/developer-success/miniton-gaming-sdk/how-to-verify-your-signature.md).

# How to verify your signature

### Steps

1. Arrange multiple signature data items in alphabetical order. Each data item forms a string in the format "key=value."
2. Connect each data item string with the "&" symbol.
3. Append the secret\_key to the end of the concatenated string.
4. Obtain the signature data by applying MD5 by above string

**Example Data for Signature**

{% code overflow="wrap" %}

```json
{
        "game_id": 1,
        "match_token": "47AD1ED23DB1407720049D586C727C3B",
        "user_ticket": "1843BBAEBC83DDB0E45E378BA37014A9",
        "taste": 0,
        "action": "report_score",
        "score": 5,
        "auth_date": 1704816000
}
```

{% endcode %}

**secret\_key Example**&#x20;

```
aE18Vlne8LxlHFCm
```

**Signature Example**

{% code overflow="wrap" %}

```scss
md5("action=report_score&auth_date=1704816000&game_id=1&match_token=47AD1ED23DB1407720049D586C727C3B&score=5&taste=0&user_ticket=1843BBAEBC83DDB0E45E378BA37014A9&secret_key=aE18Vlne8LxlHFCm")
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.miniton.games/developer-success/miniton-gaming-sdk/how-to-verify-your-signature.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
